#
# spec file for package pix
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pix
Version:        1.4.5
Release:        1.2
Summary:        Image viewer and browser utility
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            https://github.com/linuxmint/pix
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  bison
BuildRequires:  dcraw
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  itstool
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:  pkgconfig(exiv2) >= 0.21
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.34.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libbrasero-burn3) >= 3.2.0
BuildRequires:  pkgconfig(libopenraw-1.0) >= 0.0.8
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.34.0
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-gnome-2.4) >= 2.36.0
BuildRequires:  pkgconfig(libwebp) >= 0.2.0
BuildRequires:  pkgconfig(sm) >= 1.0.0
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(zlib)
Requires:       xapps-common
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
pix lets you browse your hard disk, showing you thumbnails of
image files.
It also lets you view single files (including GIF animations), add
comments to images, organise images in catalogs, print images, view
slide shows, set your desktop background, and more.

%lang_package

%package devel
Summary:        Image viewer and browser utility -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
pix lets you browse your hard disk, showing you thumbnails of
image files.
It also lets you view single files (including GIF animations), add
comments to images, organise images in catalogs, print images, view
slide shows, set your desktop background, and more.

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure\
  --disable-static       \
  --disable-silent-rules \
  --enable-libraw        \
  --with-smclient=xsmp
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{name}
%suse_update_desktop_file %{name}-import
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}/%{name}/

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc COPYING README debian/changelog
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/glib-2.0/schemas/*%{name}*.gschema.xml
%{_datadir}/glib-2.0/schemas/*%{name}.enums.xml
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-*/
%{_datadir}/aclocal/%{name}.m4
%{_libdir}/pkgconfig/%{name}-*.pc

%changelog
* Wed Jun 28 2017 sor.alexei@meowr.ru
- Update to version 1.4.5:
  * Update translations.
* Mon Jun 12 2017 sor.alexei@meowr.ru
- Update to version 1.4.4 (changes since 1.4.2):
  * Add support for image/x-fuji-raf raw files.
  * RAW images: Apply rotation to satisfy EXIF orientation.
- Require dcraw.
* Wed May 24 2017 sor.alexei@meowr.ru
- Update to version 1.4.2:
  * Grid view: Activate item when pressing Space.
  * Improve keyboard navigation.
  * Update help to reflect keybinding changes.
  * Switch to symbolic icons.
  * Change default layout of thumbs to vertical in viewer-mode..
  * Make the screenshot button icon symbolic.
  * Update translations.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 1.4.1 (changes since 1.2.1):
  * configure.ac: Fix a typo in message.
  * Build with webkit2gtk-4.0 instead of webkit2gtk-3.0.
  * Update translations.
- Remove pix-webkit2gtk.patch.
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 1.2.1:
  * Update translations.
* Thu Nov 10 2016 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * Update translations.
* Fri Jul 15 2016 sor.alexei@meowr.ru
- Update to version 1.0.6:
  * Background extension: Add Xfce support.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.5 (changes since 1.0.2):
  * Fix thumbnails not being generated in browser/thumblist in
    GTK+ 3.18.
  * Fix pix crash in code selector.
  * Facebook: Add a permission to read user albums and photos.
  * Facebook: Fix authorisation process.
  * Update translations.
* Wed Jun 22 2016 sor.alexei@meowr.ru
- Update to version 1.0.2:
  * Fix wrong URL in about dialog.
  * Toolbar: Show text under icons by default.
  * Fix setting background in MATE.
  * When setting backgrounds picture, don't mess with the options
    (picture aspect).
  * Remove a couple sizes of the palette.png icon.
  * Fix a build warning.
* Tue May 17 2016 sor.alexei@meowr.ru
- Initial package, based on gthumb's package.
